#include "common.h"
#if defined(HAVE_SUN_AUDIO)
#include "audio_sun.c"
#elif defined(HAVE_LINUX_AUDIO)
/* Audio device name */
#define AUDIO_DEVICE "/dev/dsp"
#include <linux/soundcard.h>
#include "audio_oss.c"
#elif defined(HAVE_BSD_AUDIO)
/* BSD flavours have usually "Linux-emulation" which is used. */
/* Audio device name */
#define AUDIO_DEVICE "/dev/audio"
#if defined(HAVE_MACHINE_SOUNDCARD_H)
#include <machine/soundcard.h>
#elif defined(HAVE_SYS_SOUNDCARD_H)
#include <sys/soundcard.h>
#elif defined(HAVE_SOUNDCARD_H)
#include <soundcard.h>
#endif
#include "audio_oss.c"
#else
#error "Unknown system. Only Linux, Sun and BSD-audio supported by now."
#endif
